Bug 433265 - zrtp not available
zrtp not available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: twinkle (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 452921
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-18 03:43 EST by Piergiorgio Sartor
Modified: 2008-08-11 23:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 23:14:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Piergiorgio Sartor 2008-02-18 03:43:31 EST
Description of problem:
It seems, maybe I'm wrong, that the zrtp option is not available, being ghosted
in the "security" tab.

Version-Release number of selected component (if applicable):
1.1-3.fc8

How reproducible:
Always

Steps to Reproduce:
1.
Go to "security".

Actual results:
zrtp option is ghosted.

Expected results:
zrtp option should be selectable.

Additional info:
It also seems that libzrtpcpp is not available anywhere in Fedora 8, which could
be the reason of the missing zrtp option.
It has to be said that zrtp is distributed under GPL, so it should possible to
include in the distribution.

Or I'm missing something...

Thanks!
Comment 1 Kevin Fenzi 2008-02-18 19:29:13 EST
Well, looking around, I can't see that libzrtp is available under the GPL... 
where do you see this? 

http://zfoneproject.com/prod_sdk.html

says "Just contact us for licensing details. We have a range of flexible
commercial licensing terms to suit your needs, depending on such factors as the
expected sales volume, the expected price range of your product, the degree your
product will depend on ZRTP, etc. Please include your phone number in your
email, and we can discuss it interactively."

That doesn't look like it's GPLed to me. 

Let me know if I am missing anything, but I think this will have to be closed as
NOTABUG. :( 
Comment 2 Piergiorgio Sartor 2008-02-19 04:41:30 EST
OK, from:

http://www.linuxdevices.com/news/NS3777890434.html

the link pointing to:

ftp://ftp.gnu.org/gnu/ccrtp/libzrtpcpp-0.9.0.tar.gz

is the GNU GPLed version of the zrtp, in the form of this "libzrtpcpp" library.
This is already used in debian, which, I believe, has a similar strict policy
about licenses.

As far as I can see, twinkle supports (or there are version supporting) exactly
this library.

Hope this helps and hope you're willing to include the feature!

Thanks!

pg
Comment 3 Piergiorgio Sartor 2008-02-19 06:59:48 EST
BTW, I just noticed (more or less right now) that, in the download section of
the twinkle homepage, libzrtpcpp is mentioned as optional requirement (with same
link as above).

Thanks again!
Comment 4 Kevin Fenzi 2008-02-19 11:18:09 EST
Ah ha. Quite right... 

We will need to get this package added into fedora, so it might take a little
while, but I have set the wheels in motion. ;) 

Shall we leave this bug open as a reminder to add that support? 
Or shall we close it for now and just add it in when we are able?

Thanks for the pointers... I know I looked at this a while back, but I must have
looked at the wrong lib. ;( 
Comment 5 Piergiorgio Sartor 2008-02-19 11:45:48 EST
(In reply to comment #4)
> Ah ha. Quite right... 
> 
> We will need to get this package added into fedora, so it might take a little
> while, but I have set the wheels in motion. ;) 

That is good news! Thanks!
Is that going to be F9 or can we expect also in F8?

> Shall we leave this bug open as a reminder to add that support? 
> Or shall we close it for now and just add it in when we are able?

Uhm, I would leave it open, also to prevent someone else to file another similar
bug.
Eventually, when things will be available, even in rawhide or testing, you could
put a note here.
In any case, I'll remind you in few weeks... :-)

> Thanks for the pointers... I know I looked at this a while back, but I must have
> looked at the wrong lib. ;( 

No problem, what is important is that the feature is in the pipeline now.

Thanks again.

pg
Comment 6 Kevin Fenzi 2008-02-19 21:29:15 EST
> Is that going to be F9 or can we expect also in F8?

well, as long as the library itself can build in F8 we should be able to ship it
as an update. 

Sounds good... do ping this bug if you don't hear anything in a bit, and I will
update it as soon as we have a library/twinkle with this... 

thanks again for the bug report!
Comment 7 Piergiorgio Sartor 2008-03-18 04:39:53 EDT
(In reply to comment #6)

> Sounds good... do ping this bug if you don't hear anything in a bit, and I will
> update it as soon as we have a library/twinkle with this... 

Hi, how is it going with this one?
I notice a new twinkle version in koji, but no traces of libzrtpcpp, are there
some problems?
Or it is just too early?

Thanks,

pg
Comment 8 Kevin Fenzi 2008-03-21 12:01:38 EDT
Sorry for the delay... adding andreas to CC here. He said he had a zrtp package
almost ready. :) 

I can also whip up one myself if he doesn't have the time to do so... 
Comment 9 Piergiorgio Sartor 2008-04-18 05:54:32 EDT
Hi, I saw a new twinkle made its way into F8 update, but no zrtp.

So, here I'm back with the monthly reminder... ;-)

pg
Comment 10 Piergiorgio Sartor 2008-06-03 09:22:54 EDT
Bump!
Any news on this side?

pg
Comment 11 Kevin Fenzi 2008-06-06 14:46:24 EDT
Sorry, I haven't heard anything, and Andreas seems to be busy. ;( 

I will try and whip up my own zrtp package soon. 
Comment 12 Kevin Fenzi 2008-06-25 17:20:37 EDT
Sorry again for the massive delay here. 

I have submitted a review request for a libzrtpccp package:
bug 452921

Once that is reviewed and approved, I will rebuild twinkle with it. 
Thanks for your patience. 
Comment 13 Piergiorgio Sartor 2008-07-10 11:02:54 EDT
(In reply to comment #12)

> Once that is reviewed and approved, I will rebuild twinkle with it. 

I saw the library (and twinkle) are now available for F10!

Thanks a lot, it seems this issue is going to be closed.

BTW, any plan to backport also to F9?

Thanks again,

pg

Comment 14 Kevin Fenzi 2008-07-12 13:23:09 EDT
Yes indeed. I am working on updating F8 and F9. 

I wanted to make sure everything looked ok in rawhide before pushing to the
stable branches. ;) 

There should be some updates there in the next few days... 
We can leave this open for them, or close it, doesn't matter to me. 
Comment 15 Fedora Update System 2008-07-14 14:00:41 EDT
twinkle-1.2-3.fc9,libzrtpcpp-1.3.0-2.fc9 has been submitted as an update for Fedora 9
Comment 16 Fedora Update System 2008-07-14 15:08:30 EDT
twinkle-1.2-2.fc8,libzrtpcpp-1.3.0-2.fc8 has been submitted as an update for Fedora 8
Comment 17 Fedora Update System 2008-07-15 08:15:50 EDT
twinkle-1.2-2.fc8, libzrtpcpp-1.3.0-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update twinkle libzrtpcpp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6374
Comment 18 Fedora Update System 2008-08-07 19:55:38 EDT
twinkle-1.2-2.fc8, libzrtpcpp-1.3.0-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2008-08-07 19:58:17 EDT
libzrtpcpp-1.3.0-2.fc9, twinkle-1.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.